#### D.6.10.6 MultiplicitySequence

Procedure from library `curvepar.lib` (see curvepar_lib).

Usage:
  MultiplicitySequence(i); i ideal

Assume:
  i is the defining ideal of a (reducible) plane curve singularity.

Return:
  list X of charts. Each chart contains the multiplicity sequence of the corresponding branch.

Example:

    LIB "curvepar.lib";
    ring r=0,(x,y),ds;
    ideal i=x14-x4y7-y11;
    MultiplicitySequence(i);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    1
    ==> [3]:
    ==>    1
    ==> [4]:
    ==>    1
    ==> [5]:
    ==>    7,3,3,1,1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.